using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _2.takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = Convert.ToInt32(Console.ReadLine());
            double[] zarade = new double[n];
            double[] maksimalniPorezi = new double[n];
            double[,] A = new double[n, 2];

            for (int i = 0; i < n; i++)
            {
                string[] str = Console.ReadLine().Split();
                A[i, 0] = Convert.ToInt32(str[0]);
                A[i, 1] = Convert.ToDouble(str[1]);
            }

            for (int i = 0; i < n; i++)
            {
                zarade[i] = A[i, 0];
                maksimalniPorezi[i] = A[i, 1];
            }

            double[] porezi = new double[n];
            for (int i = 0; i < n; i++)
            {
                double s = 0;
                for (int j = 0; j < n; j++)
                {
                    if (maksimalniPorezi[j] >= maksimalniPorezi[i]) s += zarade[j];
                }
                porezi[i] = s * maksimalniPorezi[i] / 100.0;
            }

            double max = porezi[0];
            for (int i = 1; i < n; i++)
            {
                if (porezi[i] > max) max = porezi[i];
            }
            Console.Write(max);

            Console.ReadKey();
        }
    }
}